#
# spec file for package ghc-text-ansi
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name text-ansi
Name:           ghc-%{pkg_name}
Version:        0.2.1.1
Release:        bp156.1.1
Summary:        Text styling for ANSI terminals
License:        BSD-3-Clause
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-builder-devel
BuildRequires:  ghc-text-devel
ExcludeArch:    %{ix86}

%description
Text styling for ANSI terminals using SGR codes, as defined by the
<https://www.ecma-international.org/publications/files/ECMA-ST/Ecma-048.pdf
ECMA-48> standard.

Supports foreground/background color, bold/faint intensity, italic,
single/double underline, strikethrough, frame, encircle, and overline escape
sequences. Some styles may not work on your terminal.

Also features terminal detection, so redirecting styled output to a file will
automatically strip the ANSI escape sequences.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%autosetup -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc CHANGELOG.md README.md

%changelog
* Thu May 11 2023 Peter Simons <psimons@suse.com>
- Add text-ansi at version 0.2.1.1.
